Miscellaneous functions

## Miscellaneous functions

Memory dynamically allocated in the Client Lib needs to be released with:

`unsigned int ts3client_freeMemory(` | pointer`)`; |

`void* pointer`;

Parameters

- `pointer`

  Address of the variable to be released.

Example:

    char* version;

    if(ts3client_getClientLibVersion(&version) == ERROR_ok) {
        printf("Version: %s\n", version);
        ts3client_freeMemory(version);
    }

| Important
Memory must not be released if the function, which dynamically allocated the memory, returned an error. In that case, the result is undefined and not initialized, so freeing the memory might crash the application.

Instead of sending the sound through the network, it can be routed directly through the playback device, so the user will get immediate audible feedback when for example configuring some sound settings.

`unsigned int ts3client_setLocalTestMode(` | serverConnectionHandlerID, |
| status`)`; |

`uint64 serverConnectionHandlerID`;
`intstatus`;

Parameters

- `serverConnectionHandlerID`

  ID of the server connection handler for which the local test mode should be enabled or disabled.

- `status`

  Pass 1 to enable local test mode, 0 to disable.

Returns `ERROR_ok` on success, otherwise an error code as defined in `public_errors.h`.

Other events |  | FAQ